Bug 1165638 - tests fail on big endians
Summary: tests fail on big endians
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-gtk3
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/ruby-gnome2/ruby-g...
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2014-11-19 12:07 UTC by Dan Horák
Modified: 2014-12-06 10:06 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-06 10:06:51 UTC


Attachments (Terms of Use)

Description Dan Horák 2014-11-19 12:07:20 UTC
tests run on big endians (s390, ppc64) fail with a backtrace

from build.log on s390x, ppc64 looks the same
...
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.XLIzUj
+ umask 022
+ cd /builddir/build/BUILD
+ cd rubygem-gtk3-2.2.3
+ pushd ./usr/share/gems/gems/gtk3-2.2.3
~/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3 ~/build/BUILD/rubygem-gtk3-2.2.3
+ cd test
+ xvfb-run ruby -I../lib:.:../ext/gtk3 run-test.rb
/builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_builder.rb:83: warning: assigned but unused variable - ok_button
Loaded suite .
Started/builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gc.rb: line 7
   GLib-GObject-WARNING **:The property GtkWidget:style is deprecated and shouldn't be used anymore. It will be removed in a future version.
./builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gc.rb:20: [BUG] Segmentation fault at 0x00000300000000
ruby 2.1.2p95 (2014-05-08 revision 45877) [s390x-linux]
-- Control frame information -----------------------------------------------
c:0021 p:---- s:0111 e:000110 CFUNC  :children
c:0020 p:0081 s:0108 e:000105 METHOD /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gc.rb:20
c:0019 p:0079 s:0100 e:000099 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testcase.rb:691
c:0018 p:0062 s:0096 e:000095 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testcase.rb:431
c:0017 p:0027 s:0092 e:000091 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testsuite.rb:121
c:0016 p:0085 s:0084 e:000083 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testsuite.rb:53
c:0015 p:0027 s:0078 E:001de0 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testsuite.rb:121
c:0014 p:0085 s:0070 e:000069 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testsuite.rb:53
c:0013 p:0029 s:0064 E:001b80 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnermediator.rb:65
c:0012 p:0042 s:0060 e:000059 BLOCK  /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnermediator.rb:44
c:0011 p:0076 s:0058 E:002130 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnermediator.rb:100
c:0010 p:0059 s:0050 E:000260 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnermediator.rb:40
c:0009 p:0009 s:0044 e:000043 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunner.rb:40
c:0008 p:0025 s:0041 e:000040 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunner.rb:25
c:0007 p:0017 s:0038 e:000037 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnerutilities.rb:24
c:0006 p:0013 s:0033 e:000032 BLOCK  /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/autorunner.rb:409
c:0005 p:0031 s:0031 e:000030 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/autorunner.rb:465
c:0004 p:0146 s:0027 E:0023c8 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/autorunner.rb:408
c:0003 p:0067 s:0022 e:000021 METHOD /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/autorunner.rb:59
c:0002 p:0316 s:0014 E:001b20 EVAL   run-test.rb:58 [FINISH]
c:0001 p:0000 s:0002 E:001708 TOP    [FINISH]
run-test.rb:58:in `<main>'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/autorunner.rb:59:in `run'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/autorunner.rb:408:in `run'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/autorunner.rb:465:in `change_work_directory'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/autorunner.rb:409:in `block in run'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnerutilities.rb:24:in `run'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunner.rb:25:in `start'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunner.rb:40:in `start_mediator'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnermediator.rb:40:in `run'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnermediator.rb:100:in `with_listener'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnermediator.rb:44:in `block in run'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnermediator.rb:65:in `run_suite'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testsuite.rb:53:in `run'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testsuite.rb:121:in `run_test'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testsuite.rb:53:in `run'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testsuite.rb:121:in `run_test'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testcase.rb:431:in `run'
/usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testcase.rb:691:in `run_test'
/builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gc.rb:20:in `test_inheritance_and_gc'
/builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gc.rb:20:in `children'
-- C level backtrace information -------------------------------------------
/lib64/libruby.so.2.1(+0x1d2edc) [0x3fffd00cedc]
/lib64/libruby.so.2.1(+0x1d2fea) [0x3fffd00cfea]
/lib64/libruby.so.2.1(+0x81c94) [0x3fffcebbc94]
/lib64/libruby.so.2.1(rb_bug+0x86) [0x3fffcebc29e]
/lib64/libruby.so.2.1(+0x153832) [0x3fffcf8d832]
[0x89418ce0]
/lib64/libgobject-2.0.so.0(g_type_check_instance_is_fundamentally_a+0x8) [0x3fffc943d18]
/lib64/libgobject-2.0.so.0(g_object_ref+0x1a) [0x3fffc9207f2]
/lib64/libgdk-3.so.0(gdk_event_copy+0x48) [0x3fffb354fd0]
/lib64/libgobject-2.0.so.0(g_boxed_copy+0x1a6) [0x3fffc918b1e]
/usr/lib64/gems/ruby/glib2-2.2.3/glib2.so(rbgobj_make_boxed_raw+0x6c) [0x3fffc9a45f4]
/usr/lib64/gems/ruby/gobject-introspection-2.2.3/gobject_introspection.so(+0xb946) [0x3fffc74e946]
/usr/lib64/gems/ruby/glib2-2.2.3/glib2.so(rbgobj_convert_instance2robj+0x38) [0x3fffc995f00]
/usr/lib64/gems/ruby/glib2-2.2.3/glib2.so(rbgobj_ruby_object_from_instance2+0x78) [0x3fffc9a50f0]
/usr/lib64/gems/ruby/glib2-2.2.3/glib2.so(+0x2b712) [0x3fffc998712]
/lib64/libruby.so.2.1(rb_ensure+0x11a) [0x3fffcec1eaa]
/usr/lib64/gems/ruby/glib2-2.2.3/glib2.so(rbg_glist2rval+0x56) [0x3fffc9988de]
/lib64/libruby.so.2.1(+0x1b9672) [0x3fffcff3672]
/lib64/libruby.so.2.1(+0x1c73c4) [0x3fffd0013c4]
/lib64/libruby.so.2.1(+0x1bf224) [0x3fffcff9224]
/lib64/libruby.so.2.1(+0x1c5ea6) [0x3fffcfffea6]
/lib64/libruby.so.2.1(rb_iseq_eval_main+0xae) [0x3fffd003076]
/lib64/libruby.so.2.1(+0x8575a) [0x3fffcebf75a]
/lib64/libruby.so.2.1(ruby_exec_node+0x28) [0x3fffcec1498]
/lib64/libruby.so.2.1(ruby_run_node+0x2a) [0x3fffcec3042]
/usr/bin/ruby-mri() [0x80000974]
/lib64/libc.so.6(__libc_start_main+0x112) [0x3fffcb86572]
/usr/bin/ruby-mri() [0x800009be]
-- Other runtime information -----------------------------------------------
* Loaded script: run-test.rb
* Loaded features:
    0 enumerator.so
    1 /usr/lib64/ruby/enc/encdb.so
    2 /usr/lib64/ruby/enc/trans/transdb.so
    3 /usr/lib64/ruby/rbconfig.rb
    4 /usr/share/rubygems/rubygems/compatibility.rb
    5 /usr/share/rubygems/rubygems/defaults.rb
    6 /usr/share/rubygems/rubygems/deprecate.rb
    7 /usr/share/rubygems/rubygems/errors.rb
    8 /usr/share/rubygems/rubygems/version.rb
    9 /usr/share/rubygems/rubygems/requirement.rb
   10 /usr/share/rubygems/rubygems/platform.rb
   11 /usr/share/rubygems/rubygems/basic_specification.rb
   12 /usr/share/rubygems/rubygems/stub_specification.rb
   13 /usr/share/rubygems/rubygems/util/stringio.rb
   14 /usr/share/rubygems/rubygems/specification.rb
   15 /usr/share/rubygems/rubygems/exceptions.rb
   16 /usr/share/rubygems/rubygems/defaults/operating_system.rb
   17 /usr/share/rubygems/rubygems/core_ext/kernel_gem.rb
   18 thread.rb
   19 /usr/lib64/ruby/thread.so
   20 /usr/share/ruby/monitor.rb
   21 /usr/share/rubygems/rubygems/core_ext/kernel_require.rb
   22 /usr/share/rubygems/rubygems.rb
   23 /usr/share/rubygems/rubygems/path_support.rb
   24 /usr/share/rubygems/rubygems/dependency.rb
   25 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/attribute.rb
   26 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/fixture.rb
   27 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/exceptionhandler.rb
   28 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/assertionfailederror.rb
   29 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/util/backtracefilter.rb
   30 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/util/method-owner-finder.rb
   31 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/diff.rb
   32 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/assertions.rb
   33 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/failure.rb
   34 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/error.rb
   35 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/pending.rb
   36 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/omission.rb
   37 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/notification.rb
   38 /usr/lib64/ruby/etc.so
   39 /usr/share/ruby/fileutils.rb
   40 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/priority.rb
   41 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/data.rb
   42 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testsuite.rb
   43 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testsuitecreator.rb
   44 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/util/output.rb
   45 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testcase.rb
   46 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/color.rb
   47 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/color-scheme.rb
   48 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/attribute-matcher.rb
   49 /usr/share/ruby/optparse.rb
   50 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/runner/console.rb
   51 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/runner/emacs.rb
   52 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/runner/xml.rb
   53 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/autorunner.rb
   54 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit.rb
   55 /usr/share/gems/gems/glib2-2.2.3/lib/glib-test-init.rb
   56 /usr/share/ruby/delegate.rb
   57 /usr/share/ruby/tmpdir.rb
   58 /usr/share/ruby/tempfile.rb
   59 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/gtk-test-utils.rb
   60 /usr/lib64/ruby/pathname.so
   61 /usr/share/ruby/pathname.rb
   62 /usr/share/ruby/English.rb
   63 /usr/share/gems/gems/glib2-2.2.3/lib/glib2/deprecatable.rb
   64 /usr/lib64/gems/ruby/glib2-2.2.3/glib2.so
   65 /usr/share/gems/gems/glib2-2.2.3/lib/glib2.rb
   66 /usr/lib64/gems/ruby/atk-2.2.3/atk.so
   67 /usr/share/gems/gems/atk-2.2.3/lib/atk.rb
   68 /usr/lib64/gems/ruby/gobject-introspection-2.2.3/gobject_introspection.so
   69 /usr/share/gems/gems/gobject-introspection-2.2.3/lib/gobject-introspection/repository.rb
   70 /usr/share/gems/gems/gobject-introspection-2.2.3/lib/gobject-introspection/collection-reader.rb
   71 /usr/share/gems/gems/gobject-introspection-2.2.3/lib/gobject-introspection/callable-info.rb
   72 /usr/share/gems/gems/gobject-introspection-2.2.3/lib/gobject-introspection/object-info.rb
   73 /usr/share/gems/gems/gobject-introspection-2.2.3/lib/gobject-introspection/interface-info.rb
   74 /usr/share/gems/gems/gobject-introspection-2.2.3/lib/gobject-introspection/struct-info.rb
   75 /usr/share/gems/gems/gobject-introspection-2.2.3/lib/gobject-introspection/boxed-info.rb
   76 /usr/share/gems/gems/gobject-introspection-2.2.3/lib/gobject-introspection/union-info.rb
   77 /usr/share/gems/gems/gobject-introspection-2.2.3/lib/gobject-introspection/loader.rb
   78 /usr/share/gems/gems/gobject-introspection-2.2.3/lib/gobject-introspection.rb
   79 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/color.rb
   80 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/paper.rb
   81 /usr/lib64/gems/ruby/cairo-1.12.9/cairo.so
   82 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/constants.rb
   83 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/point.rb
   84 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/colors.rb
   85 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/papers.rb
   86 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/context/rectangle.rb
   87 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/context/triangle.rb
   88 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/context/circle.rb
   89 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/context/path.rb
   90 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/context/blur.rb
   91 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/context/color.rb
   92 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/context.rb
   93 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/device.rb
   94 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/surface.rb
   95 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/pattern.rb
   96 /usr/share/ruby/forwardable.rb
   97 /usr/share/gems/gems/cairo-1.12.9/lib/cairo/path.rb
   98 /usr/share/gems/gems/cairo-1.12.9/lib/cairo.rb
   99 /usr/lib64/gems/ruby/cairo-gobject-2.2.3/cairo_gobject.so
  100 /usr/share/gems/gems/cairo-gobject-2.2.3/lib/cairo-gobject.rb
  101 /usr/lib64/gems/ruby/pango-2.2.3/pango.so
  102 /usr/share/gems/gems/pango-2.2.3/lib/pango.rb
  103 /usr/lib64/gems/ruby/gdk_pixbuf2-2.2.3/gdk_pixbuf2.so
  104 /usr/share/gems/gems/gdk_pixbuf2-2.2.3/lib/gdk_pixbuf2.rb
  105 /usr/share/gems/gems/gdk3-2.2.3/lib/gdk3/loader.rb
  106 /usr/share/gems/gems/gdk3-2.2.3/lib/gdk3.rb
  107 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/ext/gtk3/gtk3.so
  108 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/lib/gtk3/base.rb
  109 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/lib/gtk3/deprecated.rb
  110 /usr/share/gems/gems/gdk3-2.2.3/lib/gdk3/atom.rb
  111 /usr/share/gems/gems/gdk3-2.2.3/lib/gdk3/color.rb
  112 /usr/share/gems/gems/gdk3-2.2.3/lib/gdk3/event.rb
  113 /usr/share/gems/gems/gdk3-2.2.3/lib/gdk3/rectangle.rb
  114 /usr/share/gems/gems/gdk3-2.2.3/lib/gdk3/rgba.rb
  115 /usr/share/gems/gems/gdk3-2.2.3/lib/gdk3/window.rb
  116 /usr/share/gems/gems/gdk3-2.2.3/lib/gdk3/window-attr.rb
  117 /usr/share/gems/gems/gdk3-2.2.3/lib/gdk3/cairo.rb
  118 /usr/share/gems/gems/gdk3-2.2.3/lib/gdk3/deprecated.rb
  119 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/lib/gtk3.rb
  120 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/console/outputlevel.rb
  121 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/collector.rb
  122 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/collector/load.rb
  123 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_about_dialog.rb
  124 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_search_bar.rb
  125 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_recent_filter_info.rb
  126 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk.rb
  127 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_css_provider.rb
  128 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_accel_key.rb
  129 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_accel_group_entry.rb
  130 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_menu_item.rb
  131 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_tree_path.rb
  132 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_style_context.rb
  133 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_revealer.rb
  134 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_menu_button.rb
  135 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_allocation.rb
  136 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_entry.rb
  137 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_unix_print.rb
  138 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_border.rb
  139 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_buildable.rb
  140 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_level_bar.rb
  141 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_icon_theme.rb
  142 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_tree_selection.rb
  143 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_style_properties.rb
  144 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_header_bar.rb
  145 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_search_entry.rb
  146 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_container.rb
  147 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_image.rb
  148 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_recent_data.rb
  149 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_accessible.rb
  150 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_builder.rb
  151 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_widget.rb
  152 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_list_store.rb
  153 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_stack.rb
  154 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gc.rb
  155 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_icon_view.rb
  156 /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/test/test_gtk_stack_switcher.rb
  157 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/code-snippet-fetcher.rb
  158 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/fault-location-detector.rb
  159 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnerutilities.rb
  160 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunner.rb
  161 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/util/procwrapper.rb
  162 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/util/observable.rb
  163 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/testresult.rb
  164 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/testrunnermediator.rb
  165 /usr/share/gems/gems/test-unit-2.5.5/lib/test/unit/ui/console/testrunner.rb
* Process memory map:
80000000-80001000 r-xp 00000000 fd:01 1846592                            /usr/bin/ruby-mri
80001000-80002000 r--p 00000000 fd:01 1846592                            /usr/bin/ruby-mri
80002000-80003000 rw-p 00001000 fd:01 1846592                            /usr/bin/ruby-mri
893aa000-8b4bc000 rw-p 00000000 00:00 0                                  [heap]
3fffb0f5000-3fffb144000 r--p 00000000 fd:01 1980115                      /usr/lib64/girepository-1.0/Gio-2.0.typelib
3fffb144000-3fffb16f000 r--p 00000000 fd:01 1980112                      /usr/lib64/girepository-1.0/GLib-2.0.typelib
3fffb16f000-3fffb1a5000 r--p 00000000 fd:01 1995555                      /usr/lib64/girepository-1.0/Gdk-3.0.typelib
3fffb1bb000-3fffb1c2000 r--s 00000000 fd:01 1969182                      /usr/lib64/gconv/gconv-modules.cache
3fffb1c2000-3fffb1d1000 r--p 00000000 fd:01 1980114                      /usr/lib64/girepository-1.0/GObject-2.0.typelib
3fffb1d1000-3fffb1e0000 r--p 00000000 fd:01 1995392                      /usr/lib64/girepository-1.0/Pango-1.0.typelib
3fffb1e0000-3fffb233000 r-xp 00000000 fd:01 1846056                      /usr/lib64/libdbus-1.so.3.8.6
3fffb233000-3fffb235000 r--p 00052000 fd:01 1846056                      /usr/lib64/libdbus-1.so.3.8.6
3fffb235000-3fffb236000 rw-p 00054000 fd:01 1846056                      /usr/lib64/libdbus-1.so.3.8.6
3fffb236000-3fffb269000 r-xp 00000000 fd:01 1846920                      /usr/lib64/libatspi.so.0.0.1
3fffb269000-3fffb26c000 r--p 00032000 fd:01 1846920                      /usr/lib64/libatspi.so.0.0.1
3fffb26c000-3fffb26d000 rw-p 00035000 fd:01 1846920                      /usr/lib64/libatspi.so.0.0.1
3fffb26d000-3fffb26e000 rw-p 00000000 00:00 0 
3fffb26e000-3fffb272000 r-xp 00000000 fd:01 1846114                      /usr/lib64/libwayland-cursor.so.0.0.0
3fffb272000-3fffb273000 r--p 00003000 fd:01 1846114                      /usr/lib64/libwayland-cursor.so.0.0.0
3fffb273000-3fffb277000 rw-p 00004000 fd:01 1846114                      /usr/lib64/libwayland-cursor.so.0.0.0
3fffb277000-3fffb2b9000 r-xp 00000000 fd:01 1846279                      /usr/lib64/libxkbcommon.so.0.0.0
3fffb2b9000-3fffb2bb000 r--p 00041000 fd:01 1846279                      /usr/lib64/libxkbcommon.so.0.0.0
3fffb2bb000-3fffb2bc000 rw-p 00043000 fd:01 1846279                      /usr/lib64/libxkbcommon.so.0.0.0
3fffb2bc000-3fffb2be000 r-xp 00000000 fd:01 1846654                      /usr/lib64/libXcomposite.so.1.0.0
3fffb2be000-3fffb2bf000 r--p 00002000 fd:01 1846654                      /usr/lib64/libXcomposite.so.1.0.0
3fffb2bf000-3fffb2c0000 rw-p 00003000 fd:01 1846654                      /usr/lib64/libXcomposite.so.1.0.0
3fffb2c0000-3fffb2cb000 r-xp 00000000 fd:01 1846646                      /usr/lib64/libXcursor.so.1.0.2
3fffb2cb000-3fffb2cc000 r--p 0000a000 fd:01 1846646                      /usr/lib64/libXcursor.so.1.0.2
3fffb2cc000-3fffb2cd000 rw-p 0000b000 fd:01 1846646                      /usr/lib64/libXcursor.so.1.0.2
3fffb2cd000-3fffb2d7000 r-xp 00000000 fd:01 1846648                      /usr/lib64/libXrandr.so.2.2.0
3fffb2d7000-3fffb2d8000 r--p 00009000 fd:01 1846648                      /usr/lib64/libXrandr.so.2.2.0
3fffb2d8000-3fffb2d9000 rw-p 0000a000 fd:01 1846648                      /usr/lib64/libXrandr.so.2.2.0
3fffb2d9000-3fffb2db000 r-xp 00000000 fd:01 1846652                      /usr/lib64/libXinerama.so.1.0.0
3fffb2db000-3fffb2dc000 r--p 00001000 fd:01 1846652                      /usr/lib64/libXinerama.so.1.0.0
3fffb2dc000-3fffb2dd000 rw-p 00002000 fd:01 1846652                      /usr/lib64/libXinerama.so.1.0.0
3fffb2dd000-3fffb30f000 r-xp 00000000 fd:01 1846986                      /usr/lib64/libatk-bridge-2.0.so.0.0.0
3fffb30f000-3fffb310000 r--p 00031000 fd:01 1846986                      /usr/lib64/libatk-bridge-2.0.so.0.0.0
3fffb310000-3fffb312000 rw-p 00032000 fd:01 1846986                      /usr/lib64/libatk-bridge-2.0.so.0.0.0
3fffb312000-3fffb323000 r-xp 00000000 fd:01 1846644                      /usr/lib64/libXi.so.6.1.0
3fffb323000-3fffb324000 r--p 00010000 fd:01 1846644                      /usr/lib64/libXi.so.6.1.0
3fffb324000-3fffb325000 rw-p 00011000 fd:01 1846644                      /usr/lib64/libXi.so.6.1.0
3fffb325000-3fffb3eb000 r-xp 00000000 fd:01 1847388                      /usr/lib64/libgdk-3.so.0.1400.4
3fffb3eb000-3fffb3ef000 r--p 000c6000 fd:01 1847388                      /usr/lib64/libgdk-3.so.0.1400.4
3fffb3ef000-3fffb3f2000 rw-p 000ca000 fd:01 1847388                      /usr/lib64/libgdk-3.so.0.1400.4
3fffb3f2000-3fffb3f3000 rw-p 00000000 00:00 0 
3fffb3f3000-3fffbb2d000 r-xp 00000000 fd:01 1847390                      /usr/lib64/libgtk-3.so.0.1400.4
3fffbb2d000-3fffbb35000 r--p 0073a000 fd:01 1847390                      /usr/lib64/libgtk-3.so.0.1400.4
3fffbb35000-3fffbb3e000 rw-p 00742000 fd:01 1847390                      /usr/lib64/libgtk-3.so.0.1400.4
3fffbb3e000-3fffbb42000 rw-p 00000000 00:00 0 
3fffbb42000-3fffbc0c000 r-xp 00000000 fd:01 2108056                      /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/ext/gtk3/gtk3.so
3fffbc0c000-3fffbc0d000 r--p 000c9000 fd:01 2108056                      /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/ext/gtk3/gtk3.so
3fffbc0d000-3fffbc12000 rw-p 000ca000 fd:01 2108056                      /builddir/build/BUILD/rubygem-gtk3-2.2.3/usr/share/gems/gems/gtk3-2.2.3/ext/gtk3/gtk3.so
3fffbc12000-3fffbc13000 rw-p 00000000 00:00 0 
3fffbc13000-3fffbc3b000 r-xp 00000000 fd:01 1846698                      /usr/lib64/libgdk_pixbuf-2.0.so.0.3100.1
3fffbc3b000-3fffbc3c000 r--p 00027000 fd:01 1846698                      /usr/lib64/libgdk_pixbuf-2.0.so.0.3100.1
3fffbc3c000-3fffbc3d000 rw-p 00028000 fd:01 1846698                      /usr/lib64/libgdk_pixbuf-2.0.so.0.3100.1
3fffbc3d000-3fffbc48000 r-xp 00000000 fd:01 1988820                      /usr/lib64/gems/ruby/gdk_pixbuf2-2.2.3/gdk_pixbuf2.so
3fffbc48000-3fffbc49000 r--p 0000a000 fd:01 1988820                      /usr/lib64/gems/ruby/gdk_pixbuf2-2.2.3/gdk_pixbuf2.so
3fffbc49000-3fffbc4a000 rw-p 0000b000 fd:01 1988820                      /usr/lib64/gems/ruby/gdk_pixbuf2-2.2.3/gdk_pixbuf2.so
3fffbc4a000-3fffbc5b000 r-xp 00000000 fd:01 1842007                      /usr/lib64/libgcc_s-4.9.1-20140930.so.1
3fffbc5b000-3fffbc5c000 r--p 00010000 fd:01 1842007                      /usr/lib64/libgcc_s-4.9.1-20140930.so.1
3fffbc5c000-3fffbc5d000 rw-p 00011000 fd:01 1842007                      /usr/lib64/libgcc_s-4.9.1-20140930.so.1
3fffbc5d000-3fffbc7e000 r-xp 00000000 fd:01 1846119                      /usr/lib64/libgraphite2.so.3.0.1
3fffbc7e000-3fffbc80000 r--p 00020000 fd:01 1846119                      /usr/lib64/libgraphite2.so.3.0.1
3fffbc80000-3fffbc81000 rw-p 00022000 fd:01 1846119                      /usr/lib64/libgraphite2.so.3.0.1
3fffbc81000-3fffbce0000 r-xp 00000000 fd:01 1846121                      /usr/lib64/libharfbuzz.so.0.934.0
3fffbce0000-3fffbce1000 r--p 0005f000 fd:01 1846121                      /usr/lib64/libharfbuzz.so.0.934.0
3fffbce1000-3fffbce2000 rw-p 00060000 fd:01 1846121                      /usr/lib64/libharfbuzz.so.0.934.0
3fffbce2000-3fffbcf9000 r-xp 00000000 fd:01 1847261                      /usr/lib64/libpangoft2-1.0.so.0.3600.8
3fffbcf9000-3fffbcfa000 r--p 00016000 fd:01 1847261                      /usr/lib64/libpangoft2-1.0.so.0.3600.8
3fffbcfa000-3fffbcfb000 rw-p 00017000 fd:01 1847261                      /usr/lib64/libpangoft2-1.0.so.0.3600.8
3fffbcfb000-3fffbd08000 r-xp 00000000 fd:01 1847259                      /usr/lib64/libpangocairo-1.0.so.0.3600.8
3fffbd08000-3fffbd09000 r--p 0000c000 fd:01 1847259                      /usr/lib64/libpangocairo-1.0.so.0.3600.8
3fffbd09000-3fffbd0a000 rw-p 0000d000 fd:01 1847259                      /usr/lib64/libpangocairo-1.0.so.0.3600.8
3fffbd0a000-3fffbd59000 r-xp 00000000 fd:01 1847257                      /usr/lib64/libpango-1.0.so.0.3600.8
3fffbd59000-3fffbd5b000 r--p 0004f000 fd:01 1847257                      /usr/lib64/libpango-1.0.so.0.3600.8
3fffbd5b000-3fffbd5c000 rw-p 00051000 fd:01 1847257                      /usr/lib64/libpango-1.0.so.0.3600.8
3fffbd5c000-3fffbd82000 r-xp 00000000 fd:01 1995528                      /usr/lib64/gems/ruby/pango-2.2.3/pango.so
3fffbd82000-3fffbd83000 r--p 00025000 fd:01 1995528                      /usr/lib64/gems/ruby/pango-2.2.3/pango.so
3fffbd83000-3fffbd84000 rw-p 00026000 fd:01 1995528                      /usr/lib64/gems/ruby/pango-2.2.3/pango.so
3fffbd84000-3fffbd8b000 r-xp 00000000 fd:01 1847009                      /usr/lib64/libcairo-gobject.so.2.11301.0
3fffbd8b000-3fffbd8d000 r--p 00006000 fd:01 1847009                      /usr/lib64/libcairo-gobject.so.2.11301.0
3fffbd8d000-3fffbd8e000 rw-p 00008000 fd:01 1847009                      /usr/lib64/libcairo-gobject.so.2.11301.0
3fffbd90000-3fffbd91000 rw-p 00000000 00:00 0 
3fffbd91000-3fffbd96000 r--p 00000000 fd:01 1988807                      /usr/lib64/girepository-1.0/GdkPixbuf-2.0.typelib
3fffbd96000-3fffbd9b000 r-xp 00000000 fd:01 1846660                      /usr/lib64/libXxf86vm.so.1.0.0
3fffbd9b000-3fffbd9c000 r--p 00004000 fd:01 1846660                      /usr/lib64/libXxf86vm.so.1.0.0
3fffbd9c000-3fffbd9d000 rw-p 00005000 fd:01 1846660                      /usr/lib64/libXxf86vm.so.1.0.0
3fffbd9d000-3fffbd9e000 r-xp 00000000 fd:01 1846123                      /usr/lib64/libxshmfence.so.1.0.0
3fffbd9e000-3fffbd9f000 r--p 00001000 fd:01 1846123                      /usr/lib64/libxshmfence.so.1.0.0
3fffbd9f000-3fffbda0000 rw-p 00002000 fd:01 1846123                      /usr/lib64/libxshmfence.so.1.0.0
3fffbda0000-3fffbda6000 r-xp 00000000 fd:01 1846090                      /usr/lib64/libxcb-sync.so.1.0.0
3fffbda6000-3fffbda7000 r--p 00005000 fd:01 1846090                      /usr/lib64/libxcb-sync.so.1.0.0
3fffbda7000-3fffbda8000 rw-p 00006000 fd:01 1846090                      /usr/lib64/libxcb-sync.so.1.0.0
3fffbda8000-3fffbdaa000 r-xp 00000000 fd:01 1846074                      /usr/lib64/libxcb-present.so.0.0.0
3fffbdaa000-3fffbdab000 r--p 00001000 fd:01 1846074                      /usr/lib64/libxcb-present.so.0.0.0
3fffbdab000-3fffbdac000 rw-p 00002000 fd:01 1846074                      /usr/lib64/libxcb-present.so.0.0.0
3fffbdac000-3fffbdae000 r-xp 00000000 fd:01 1846070                      /usr/lib64/libxcb-dri3.so.0.0.0
3fffbdae000-3fffbdaf000 r--p 00001000 fd:01 1846070                      /usr/lib64/libxcb-dri3.so.0.0.0
3fffbdaf000-3fffbdb0000 rw-p 00002000 fd:01 1846070                      /usr/lib64/libxcb-dri3.so.0.0.0
3fffbdb0000-3fffbdca000 r-xp 00000000 fd:01 1846072                      /usr/lib64/libxcb-glx.so.0.0.0
3fffbdca000-3fffbdcc000 r--p 00019000 fd:01 1846072                      /usr/lib64/libxcb-glx.so.0.0.0
3fffbdcc000-3fffbdcd000 rw-p 0001b000 fd:01 1846072                      /usr/lib64/libxcb-glx.so.0.0.0
3fffbdcd000-3fffbdd2000 r-xp 00000000 fd:01 1846638                      /usr/lib64/libXfixes.so.3.1.0
3fffbdd2000-3fffbdd3000 r--p 00004000 fd:01 1846638                      /usr/lib64/libXfixes.so.3.1.0
3fffbdd3000-3fffbdd4000 rw-p 00005000 fd:01 1846638                      /usr/lib64/libXfixes.so.3.1.0
3fffbdd4000-3fffbdd6000 r-xp 00000000 fd:01 1846642                      /usr/lib64/libXdamage.so.1.1.0
3fffbdd6000-3fffbdd7000 r--p 00001000 fd:01 1846642                      /usr/lib64/libXdamage.so.1.1.0
3fffbdd7000-3fffbdd8000 rw-p 00002000 fd:01 1846642                      /usr/lib64/libXdamage.so.1.1.0
3fffbdd8000-3fffbddb000 r-xp 00000000 fd:01 1846060                      /usr/lib64/libXau.so.6.0.0
3fffbddb000-3fffbddc000 r--p 00002000 fd:01 1846060                      /usr/lib64/libXau.so.6.0.0
3fffbddc000-3fffbddd000 rw-p 00003000 fd:01 1846060                      /usr/lib64/libXau.so.6.0.0
3fffbddd000-3fffbdea000 r-xp 00000000 fd:01 1846899                      /usr/lib64/libdrm.so.2.4.0
3fffbdea000-3fffbdeb000 r--p 0000c000 fd:01 1846899                      /usr/lib64/libdrm.so.2.4.0
3fffbdeb000-3fffbdec000 rw-p 0000d000 fd:01 1846899                      /usr/lib64/libdrm.so.2.4.0
3fffbdec000-3fffbe37000 r-xp 00000000 fd:01 1846112                      /usr/lib64/libglapi.so.0.0.0
3fffbe37000-3fffbe3d000 r--p 0004a000 fd:01 1846112                      /usr/lib64/libglapi.so.0.0.0
3fffbe3d000-3fffbe3e000 rw-p 00050000 fd:01 1846112                      /usr/lib64/libglapi.so.0.0.0
3fffbe3e000-3fffbe3f000 rw-p 00000000 00:00 0 
3fffbe3f000-3fffbe50000 r-xp 00000000 fd:01 1846148                      /usr/lib64/libwayland-server.so.0.1.0
3fffbe50000-3fffbe51000 r--p 00011000 fd:01 1846148                      /usr/lib64/libwayland-server.so.0.1.0
3fffbe51000-3fffbe52000 rw-p 00012000 fd:01 1846148                      /usr/lib64/libwayland-server.so.0.1.0
3fffbe52000-3fffbe5f000 r-xp 00000000 fd:01 1846050                      /usr/lib64/libwayland-client.so.0.3.0
3fffbe5f000-3fffbe60000 r--p 0000d000 fd:01 1846050                      /usr/lib64/libwayland-client.so.0.3.0
3fffbe60000-3fffbe61000 rw-p 0000e000 fd:01 1846050                      /usr/lib64/libwayland-client.so.0.3.0
3fffbe61000-3fffbe6f000 r-xp 00000000 fd:01 1847000                      /usr/lib64/libgbm.so.1.0.0
3fffbe6f000-3fffbe70000 r--p 0000d000 fd:01 1847000                      /usr/lib64/libgbm.so.1.0.0
3fffbe70000-3fffbe71000 rw-p 0000e000 fd:01 1847000                      /usr/lib64/libgbm.so.1.0.0
3fffbe71000-3fffbe74000 r-xp 00000000 fd:01 1846086                      /usr/lib64/libxcb-shape.so.0.0.0
3fffbe74000-3fffbe75000 r--p 00002000 fd:01 1846086                      /usr/lib64/libxcb-shape.so.0.0.0
3fffbe75000-3fffbe76000 rw-p 00003000 fd:01 1846086                      /usr/lib64/libxcb-shape.so.0.0.0
3fffbe76000-3fffbe7d000 r-xp 00000000 fd:01 1846096                      /usr/lib64/libxcb-xfixes.so.0.0.0
3fffbe7d000-3fffbe7e000 r--p 00007000 fd:01 1846096                      /usr/lib64/libxcb-xfixes.so.0.0.0
3fffbe7e000-3fffbe7f000 rw-p 00008000 fd:01 1846096                      /usr/lib64/libxcb-xfixes.so.0.0.0
3fffbe7f000-3fffbe83000 r-xp 00000000 fd:01 1846068                      /usr/lib64/libxcb-dri2.so.0.0.0
3fffbe83000-3fffbe84000 r--p 00004000 fd:01 1846068                      /usr/lib64/libxcb-dri2.so.0.0.0
3fffbe84000-3fffbe85000 rw-p 00005000 fd:01 1846068                      /usr/lib64/libxcb-dri2.so.0.0.0
3fffbe85000-3fffbe86000 r-xp 00000000 fd:01 1846624                      /usr/lib64/libX11-xcb.so.1.0.0
3fffbe86000-3fffbe87000 r--p 00000000 fd:01 1846624                      /usr/lib64/libX11-xcb.so.1.0.0
3fffbe87000-3fffbe88000 rw-p 00001000 fd:01 1846624                      /usr/lib64/libX11-xcb.so.1.0.0
3fffbe88000-3fffbe9c000 r-xp 00000000 fd:01 1843597                      /usr/lib64/libbz2.so.1.0.6
3fffbe9c000-3fffbe9d000 r--p 00013000 fd:01 1843597                      /usr/lib64/libbz2.so.1.0.6
3fffbe9d000-3fffbe9e000 rw-p 00014000 fd:01 1843597                      /usr/lib64/libbz2.so.1.0.6
3fffbe9e000-3fffbecd000 r-xp 00000000 fd:01 1843870                      /usr/lib64/libexpat.so.1.6.0
3fffbecd000-3fffbecf000 r--p 0002f000 fd:01 1843870                      /usr/lib64/libexpat.so.1.6.0
3fffbecf000-3fffbed0000 rw-p 00031000 fd:01 1843870                      /usr/lib64/libexpat.so.1.6.0
3fffbed0000-3fffbed8000 r-xp 00000000 fd:01 1843477                      /usr/lib64/librt-2.20.so
3fffbed8000-3fffbed9000 r--p 00007000 fd:01 1843477                      /usr/lib64/librt-2.20.so
3fffbed9000-3fffbeda000 rw-p 00008000 fd:01 1843477                      /usr/lib64/librt-2.20.so
3fffbeda000-3fffbf91000 r-xp 00000000 fd:01 1846907                      /usr/lib64/libGL.so.1.2.0
3fffbf91000-3fffbf93000 r--p 000b7000 fd:01 1846907                      /usr/lib64/libGL.so.1.2.0
3fffbf93000-3fffbf94000 rw-p 000b9000 fd:01 1846907                      /usr/lib64/libGL.so.1.2.0
3fffbf94000-3fffbf95000 rw-p 00000000 00:00 0 
3fffbf95000-3fffbfa8000 r-xp 00000000 fd:01 1846628                      /usr/lib64/libXext.so.6.4.0
3fffbfa8000-3fffbfa9000 r--p 00012000 fd:01 1846628                      /usr/lib64/libXext.so.6.4.0
3fffbfa9000-3fffbfaa000 rw-p 00013000 fd:01 1846628                      /usr/lib64/libXext.so.6.4.0
3fffbfaa000-3fffc0f8000 r-xp 00000000 fd:01 1846626                      /usr/lib64/libX11.so.6.3.0
3fffc0f8000-3fffc0f9000 r--p 0014e000 fd:01 1846626                      /usr/lib64/libX11.so.6.3.0
3fffc0f9000-3fffc0fe000 rw-p 0014f000 fd:01 1846626                      /usr/lib64/libX11.so.6.3.0
3fffc0fe000-3fffc108000 r-xp 00000000 fd:01 1846636                      /usr/lib64/libXrender.so.1.3.0
3fffc108000-3fffc109000 r--p 00009000 fd:01 1846636                      /usr/lib64/libXrender.so.1.3.0
3fffc109000-3fffc10a000 rw-p 0000a000 fd:01 1846636                      /usr/lib64/libXrender.so.1.3.0
3fffc10a000-3fffc12f000 r-xp 00000000 fd:01 1846110                      /usr/lib64/libxcb.so.1.1.0
3fffc12f000-3fffc130000 r--p 00025000 fd:01 1846110                      /usr/lib64/libxcb.so.1.1.0
3fffc130000-3fffc131000 rw-p 00026000 fd:01 1846110                      /usr/lib64/libxcb.so.1.1.0
3fffc131000-3fffc13b000 r-xp 00000000 fd:01 1846080                      /usr/lib64/libxcb-render.so.0.0.0
3fffc13b000-3fffc13c000 r--p 00009000 fd:01 1846080                      /usr/lib64/libxcb-render.so.0.0.0
3fffc13c000-3fffc13d000 rw-p 0000a000 fd:01 1846080                      /usr/lib64/libxcb-render.so.0.0.0
3fffc13d000-3fffc140000 r-xp 00000000 fd:01 1846088                      /usr/lib64/libxcb-shm.so.0.0.0
3fffc140000-3fffc141000 r--p 00002000 fd:01 1846088                      /usr/lib64/libxcb-shm.so.0.0.0
3fffc141000-3fffc142000 rw-p 00003000 fd:01 1846088                      /usr/lib64/libxcb-shm.so.0.0.0
3fffc142000-3fffc179000 r-xp 00000000 fd:01 1846052                      /usr/lib64/libpng16.so.16.10.0
3fffc179000-3fffc17a000 r--p 00037000 fd:01 1846052                      /usr/lib64/libpng16.so.16.10.0
3fffc17a000-3fffc17b000 rw-p 00038000 fd:01 1846052                      /usr/lib64/libpng16.so.16.10.0
3fffc17b000-3fffc1a6000 r-xp 00000000 fd:01 1847002                      /usr/lib64/libEGL.so.1.0.0
3fffc1a6000-3fffc1a7000 r--p 0002a000 fd:01 1847002                      /usr/lib64/libEGL.so.1.0.0
3fffc1a7000-3fffc1a8000 rw-p 0002b000 fd:01 1847002                      /usr/lib64/libEGL.so.1.0.0
3fffc1a8000-3fffc1a9000 rw-p 00000000 00:00 0 
3fffc1a9000-3fffc25c000 r-xp 00000000 fd:01 1846054                      /usr/lib64/libfreetype.so.6.11.2
3fffc25c000-3fffc261000 r--p 000b3000 fd:01 1846054                      /usr/lib64/libfreetype.so.6.11.2
3fffc261000-3fffc262000 rw-p 000b8000 fd:01 1846054                      /usr/lib64/libfreetype.so.6.11.2
3fffc262000-3fffc2a5000 r-xp 00000000 fd:01 1846534                      /usr/lib64/libfontconfig.so.1.8.0
3fffc2a5000-3fffc2a7000 r--p 00042000 fd:01 1846534                      /usr/lib64/libfontconfig.so.1.8.0
3fffc2a7000-3fffc2a8000 rw-p 00044000 fd:01 1846534                      /usr/lib64/libfontconfig.so.1.8.0
3fffc2a8000-3fffc326000 r-xp 00000000 fd:01 1846058                      /usr/lib64/libpixman-1.so.0.32.6
3fffc326000-3fffc32a000 r--p 0007e000 fd:01 1846058                      /usr/lib64/libpixman-1.so.0.32.6
3fffc32a000-3fffc32b000 rw-p 00082000 fd:01 1846058                      /usr/lib64/libpixman-1.so.0.32.6
3fffc32b000-3fffc441000 r-xp 00000000 fd:01 1847007                      /usr/lib64/libcairo.so.2.11301.0
3fffc441000-3fffc444000 r--p 00115000 fd:01 1847007                      /usr/lib64/libcairo.so.2.11301.0
3fffc444000-3fffc446000 rw-p 00118000 fd:01 1847007                      /usr/lib64/libcairo.so.2.11301.0
3fffc446000-3fffc447000 rw-p 00000000 00:00 0 
3fffc447000-3fffc47d000 r-xp 00000000 fd:01 1989742                      /usr/lib64/gems/ruby/cairo-1.12.9/cairo.so
3fffc47d000-3fffc47e000 r--p 00035000 fd:01 1989742                      /usr/lib64/gems/ruby/cairo-1.12.9/cairo.so
3fffc47e000-3fffc480000 rw-p 00036000 fd:01 1989742                      /usr/lib64/gems/ruby/cairo-1.12.9/cairo.so
3fffc480000-3fffc4aa000 r-xp 00000000 fd:01 1843492                      /usr/lib64/liblzma.so.5.0.99
3fffc4aa000-3fffc4ab000 r--p 00029000 fd:01 1843492                      /usr/lib64/liblzma.so.5.0.99
3fffc4ab000-3fffc4ac000 rw-p 0002a000 fd:01 1843492                      /usr/lib64/liblzma.so.5.0.99
3fffc4ac000-3fffc4f7000 r-xp 00000000 fd:01 1843574                      /usr/lib64/libpcre.so.1.2.3
3fffc4f7000-3fffc4f8000 r--p 0004a000 fd:01 1843574                      /usr/lib64/libpcre.so.1.2.3
3fffc4f8000-3fffc4f9000 rw-p 0004b000 fd:01 1843574                      /usr/lib64/libpcre.so.1.2.3
3fffc4f9000-3fffc512000 r-xp 00000000 fd:01 1843475                      /usr/lib64/libresolv-2.20.so
3fffc512000-3fffc513000 r--p 00019000 fd:01 1843475                      /usr/lib64/libresolv-2.20.so
3fffc513000-3fffc514000 rw-p 0001a000 fd:01 1843475                      /usr/lib64/libresolv-2.20.so
3fffc514000-3fffc516000 rw-p 00000000 00:00 0 
3fffc516000-3fffc53c000 r-xp 00000000 fd:01 1843586                      /usr/lib64/libselinux.so.1
3fffc53c000-3fffc53d000 r--p 00025000 fd:01 1843586                      /usr/lib64/libselinux.so.1
3fffc53d000-3fffc53e000 rw-p 00026000 fd:01 1843586                      /usr/lib64/libselinux.so.1
3fffc53e000-3fffc540000 rw-p 00000000 00:00 0 
3fffc540000-3fffc558000 r-xp 00000000 fd:01 1843589                      /usr/lib64/libz.so.1.2.8
3fffc558000-3fffc559000 r--p 00017000 fd:01 1843589                      /usr/lib64/libz.so.1.2.8
3fffc559000-3fffc55a000 rw-p 00018000 fd:01 1843589                      /usr/lib64/libz.so.1.2.8
3fffc55a000-3fffc6f7000 r-xp 00000000 fd:01 1845258                      /usr/lib64/libgio-2.0.so.0.4200.0
3fffc6f7000-3fffc6fb000 r--p 0019c000 fd:01 1845258                      /usr/lib64/libgio-2.0.so.0.4200.0
3fffc6fb000-3fffc6fe000 rw-p 001a0000 fd:01 1845258                      /usr/lib64/libgio-2.0.so.0.4200.0
3fffc6fe000-3fffc700000 rw-p 00000000 00:00 0 
3fffc700000-3fffc703000 r-xp 00000000 fd:01 1845262                      /usr/lib64/libgmodule-2.0.so.0.4200.0
3fffc703000-3fffc704000 r--p 00002000 fd:01 1845262                      /usr/lib64/libgmodule-2.0.so.0.4200.0
3fffc704000-3fffc705000 rw-p 00003000 fd:01 1845262                      /usr/lib64/libgmodule-2.0.so.0.4200.0
3fffc705000-3fffc741000 r-xp 00000000 fd:01 1846306                      /usr/lib64/libgirepository-1.0.so.1.0.0
3fffc741000-3fffc742000 r--p 0003c000 fd:01 1846306                      /usr/lib64/libgirepository-1.0.so.1.0.0
3fffc742000-3fffc743000 rw-p 0003d000 fd:01 1846306                      /usr/lib64/libgirepository-1.0.so.1.0.0
3fffc743000-3fffc75d000 r-xp 00000000 fd:01 1987180                      /usr/lib64/gems/ruby/gobject-introspection-2.2.3/gobject_introspection.so
3fffc75d000-3fffc75e000 r--p 0001a000 fd:01 1987180                      /usr/lib64/gems/ruby/gobject-introspection-2.2.3/gobject_introspection.so
3fffc75e000-3fffc75f000 rw-p 0001b000 fd:01 1987180                      /usr/lib64/gems/ruby/gobject-introspection-2.2.3/gobject_introspection.so
3fffc75f000-3fffc786000 r-xp 00000000 fd:01 1845957                      /usr/lib64/libatk-1.0.so.0.21409.1
3fffc786000-3fffc788000 r--p 00027000 fd:01 1845957                      /usr/lib64/libatk-1.0.so.0.21409.1
3fffc788000-3fffc789000 rw-p 00029000 fd:01 1845957                      /usr/lib64/libatk-1.0.so.0.21409.1
3fffc789000-3fffc79d000 r-xp 00000000 fd:01 1987196                      /usr/lib64/gems/ruby/atk-2.2.3/atk.so
3fffc79d000-3fffc79e000 r--p 00013000 fd:01 1987196                      /usr/lib64/gems/ruby/atk-2.2.3/atk.so
3fffc79e000-3fffc79f000 rw-p 00014000 fd:01 1987196                      /usr/lib64/gems/ruby/atk-2.2.3/atk.so
3fffc79f000-3fffc7a7000 r-xp 00000000 fd:01 1843731                      /usr/lib64/libffi.so.6.0.2
3fffc7a7000-3fffc7a8000 r--p 00007000 fd:01 1843731                      /usr/lib64/libffi.so.6.0.2
3fffc7a8000-3fffc7a9000 rw-p 00008000 fd:01 1843731                      /usr/lib64/libffi.so.6.0.2
3fffc7a9000-3fffc7aa000 r-xp 00000000 fd:01 1845266                      /usr/lib64/libgthread-2.0.so.0.4200.0
3fffc7aa000-3fffc7ab000 r--p 00000000 fd:01 1845266                      /usr/lib64/libgthread-2.0.so.0.4200.0
3fffc7ab000-3fffc7ac000 rw-p 00001000 fd:01 1845266                      /usr/lib64/libgthread-2.0.so.0.4200.0
3fffc7ac000-3fffc906000 r-xp 00000000 fd:01 1845260                      /usr/lib64/libglib-2.0.so.0.4200.0
3fffc906000-3fffc907000 r--p 00159000 fd:01 1845260                      /usr/lib64/libglib-2.0.so.0.4200.0
3fffc907000-3fffc909000 rw-p 0015a000 fd:01 1845260                      /usr/lib64/libglib-2.0.so.0.4200.0
3fffc909000-3fffc962000 r-xp 00000000 fd:01 1845264                      /usr/lib64/libgobject-2.0.so.0.4200.0
3fffc962000-3fffc963000 r--p 00059000 fd:01 1845264                      /usr/lib64/libgobject-2.0.so.0.4200.0
3fffc963000-3fffc964000 rw-p 0005a000 fd:01 1845264                      /usr/lib64/libgobject-2.0.so.0.4200.0
3fffc964000-3fffc965000 rw-p 00000000 00:00 0 
3fffc965000-3fffc966000 r--p 00000000 fd:01 1980113                      /usr/lib64/girepository-1.0/GModule-2.0.typelib
3fffc966000-3fffc967000 r--p 00000000 fd:01 1980116                      /usr/lib64/girepository-1.0/cairo-1.0.typelib
3fffc967000-3fffc96b000 r-xp 00000000 fd:01 1989773                      /usr/lib64/gems/ruby/cairo-gobject-2.2.3/cairo_gobject.so
3fffc96b000-3fffc96c000 r--p 00003000 fd:01 1989773                      /usr/lib64/gems/ruby/cairo-gobject-2.2.3/cairo_gobject.so
3fffc96c000-3fffc96d000 rw-p 00004000 fd:01 1989773                      /usr/lib64/gems/ruby/cairo-gobject-2.2.3/cairo_gobject.so
3fffc96d000-3fffc9c7000 r-xp 00000000 fd:01 1987135                      /usr/lib64/gems/ruby/glib2-2.2.3/glib2.so
3fffc9c7000-3fffc9cb000 r--p 00059000 fd:01 1987135                      /usr/lib64/gems/ruby/glib2-2.2.3/glib2.so
3fffc9cb000-3fffc9cd000 rw-p 0005d000 fd:01 1987135                      /usr/lib64/gems/ruby/glib2-2.2.3/glib2.so
3fffc9cd000-3fffc9ce000 rw-p 00000000 00:00 0 
3fffc9ce000-3fffc9d6000 r-xp 00000000 fd:01 1978725                      /usr/lib64/ruby/pathname.so
3fffc9d6000-3fffc9d7000 r--p 00007000 fd:01 1978725                      /usr/lib64/ruby/pathname.so
3fffc9d7000-3fffc9d8000 rw-p 00008000 fd:01 1978725                      /usr/lib64/ruby/pathname.so
3fffc9d8000-3fffc9db000 r-xp 00000000 fd:01 1978711                      /usr/lib64/ruby/etc.so
3fffc9db000-3fffc9dc000 r--p 00002000 fd:01 1978711                      /usr/lib64/ruby/etc.so
3fffc9dc000-3fffc9dd000 rw-p 00003000 fd:01 1978711                      /usr/lib64/ruby/etc.so
3fffc9dd000-3fffc9e0000 r-xp 00000000 fd:01 1978738                      /usr/lib64/ruby/thread.so
3fffc9e0000-3fffc9e1000 r--p 00003000 fd:01 1978738                      /usr/lib64/ruby/thread.so
3fffc9e1000-3fffc9e2000 rw-p 00004000 fd:01 1978738                      /usr/lib64/ruby/thread.so
3fffc9e2000-3fffc9e4000 r-xp 00000000 fd:01 1978702                      /usr/lib64/ruby/enc/trans/transdb.so
3fffc9e4000-3fffc9e5000 r--p 00002000 fd:01 1978702                      /usr/lib64/ruby/enc/trans/transdb.so
3fffc9e5000-3fffc9e6000 rw-p 00003000 fd:01 1978702                      /usr/lib64/ruby/enc/trans/transdb.so
3fffc9e6000-3fffcaeb000 rw-p 00000000 00:00 0 
3fffcaeb000-3fffcb5d000 r-xp 00000000 fd:01 1843379                      /usr/lib64/libfreebl3.so
3fffcb5d000-3fffcb5f000 r--p 00071000 fd:01 1843379                      /usr/lib64/libfreebl3.so
3fffcb5f000-3fffcb60000 rw-p 00073000 fd:01 1843379                      /usr/lib64/libfreebl3.so
3fffcb60000-3fffcb64000 rw-p 00000000 00:00 0 
3fffcb64000-3fffcd16000 r-xp 00000000 fd:01 1843447                      /usr/lib64/libc-2.20.so
3fffcd16000-3fffcd1a000 r--p 001b1000 fd:01 1843447                      /usr/lib64/libc-2.20.so
3fffcd1a000-3fffcd1c000 rw-p 001b5000 fd:01 1843447                      /usr/lib64/libc-2.20.so
3fffcd1c000-3fffcd20000 rw-p 00000000 00:00 0 
3fffcd20000-3fffcdd1000 r-xp 00000000 fd:01 1843455                      /usr/lib64/libm-2.20.so
3fffcdd1000-3fffcdd2000 r--p 000b0000 fd:01 1843455                      /usr/lib64/libm-2.20.so
3fffcdd2000-3fffcdd3000 rw-p 000b1000 fd:01 1843455                      /usr/lib64/libm-2.20.so
3fffcdd3000-3fffcdd4000 rw-p 00000000 00:00 0 
3fffcdd4000-3fffcde4000 r-xp 00000000 fd:01 1843451                      /usr/lib64/libcrypt-2.20.so
3fffcde4000-3fffcde5000 r--p 0000f000 fd:01 1843451                      /usr/lib64/libcrypt-2.20.so
3fffcde5000-3fffcde6000 rw-p 00010000 fd:01 1843451                      /usr/lib64/libcrypt-2.20.so
3fffcde6000-3fffce14000 rw-p 00000000 00:00 0 
3fffce14000-3fffce17000 r-xp 00000000 fd:01 1843453                      /usr/lib64/libdl-2.20.so
3fffce17000-3fffce18000 r--p 00002000 fd:01 1843453                      /usr/lib64/libdl-2.20.so
3fffce18000-3fffce19000 rw-p 00003000 fd:01 1843453                      /usr/lib64/libdl-2.20.so
3fffce19000-3fffce33000 r-xp 00000000 fd:01 1843473                      /usr/lib64/libpthread-2.20.so
3fffce33000-3fffce34000 r--p 00019000 fd:01 1843473                      /usr/lib64/libpthread-2.20.so
3fffce34000-3fffce35000 rw-p 0001a000 fd:01 1843473                      /usr/lib64/libpthread-2.20.so
3fffce35000-3fffce3a000 rw-p 00000000 00:00 0 
3fffce3a000-3fffd0e3000 r-xp 00000000 fd:01 1845948                      /usr/lib64/libruby.so.2.1.0
3fffd0e3000-3fffd0e8000 r--p 002a8000 fd:01 1845948                      /usr/lib64/libruby.so.2.1.0
3fffd0e8000-3fffd0ed000 rw-p 002ad000 fd:01 1845948                      /usr/lib64/libruby.so.2.1.0
3fffd0ed000-3fffd111000 rw-p 00000000 00:00 0 
3fffd111000-3fffd113000 r-xp 00000000 fd:01 1978660                      /usr/lib64/ruby/enc/encdb.so
3fffd113000-3fffd114000 r--p 00001000 fd:01 1978660                      /usr/lib64/ruby/enc/encdb.so
3fffd114000-3fffd115000 rw-p 00002000 fd:01 1978660                      /usr/lib64/ruby/enc/encdb.so
3fffd115000-3fffd116000 ---p 00000000 00:00 0 
3fffd116000-3fffd11c000 rw-p 00000000 00:00 0                            [stack:2288]
3fffd11c000-3fffd11e000 r-xp 00000000 00:00 0                            [vdso]
3fffd11e000-3fffd144000 r-xp 00000000 fd:01 1843440                      /usr/lib64/ld-2.20.so
3fffd144000-3fffd145000 r--p 00025000 fd:01 1843440                      /usr/lib64/ld-2.20.so
3fffd145000-3fffd146000 rw-p 00026000 fd:01 1843440                      /usr/lib64/ld-2.20.so
3fffd146000-3fffd147000 rw-p 00000000 00:00 0 
3fffff4f000-3fffff70000 rw-p 00000000 00:00 0 
[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html
RPM build errors:
/usr/bin/xvfb-run: line 166:  2287 Aborted                 DISPLAY=:$SERVERNUM XAUTHORITY=$AUTHFILE "$@" 2>&1
error: Bad exit status from /var/tmp/rpm-tmp.XLIzUj (%check)
    Bad exit status from /var/tmp/rpm-tmp.XLIzUj (%check)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target s390x --nodeps  builddir/build/SPECS/rubygem-gtk3.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 377, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target s390x --nodeps  builddir/build/SPECS/rubygem-gtk3.spec']
LEAVE do --> EXCEPTION RAISED


for full logs please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1610275 or http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2184671


Version-Release number of selected component (if applicable):
rubygem-gtk3-2.2.3-1.fc21

Comment 1 Dan Horák 2014-11-19 12:28:34 UTC
for the record only 64 bit big endian arches are affected, builds fine on s390 (32 bit)

Comment 2 Mamoru TASAKA 2014-11-20 03:40:09 UTC
Filed upstream as https://github.com/ruby-gnome2/ruby-gnome2/issues/270

This seems more difficult than bug 1149702 ....

Comment 3 Fedora Update System 2014-11-23 14:34:29 UTC
rubygem-glib2-2.2.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rubygem-glib2-2.2.3-2.fc21

Comment 4 Fedora Update System 2014-12-06 10:06:51 UTC
rubygem-glib2-2.2.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.